```

title = "Výroba plošných spojů nažehlovací metodou"
perex = "Vyrobit plošný spoj rychle, levně a kvalitně, zejména když nechceme tisíc kusů, bývá někdy problém. V následujícím článku bych rád představil zajímavý způsob výroby desky plošných spojů, který používáme na kroužku elektroniky v radioklubu a nevyjde Vás na víc, než pár korun."
tags = ["Článek", "Začínajícím"]
image = "lead.png"

```

# Úvod
Vyrobit plošný spoj rychle, levně a kvalitně, zejména když nechceme tisíc kusů, bývá někdy problém. Pokud jde o jednoduchou desku, vystačíme ještě s lihovým fixem nebo někomu dokonce postačí hřebík a do desky  potřebný motiv "vyškrábe". Ale upřímně, komu se dnes chce něco malovat nebo dokonce škrábat? V mnoha případech je deska tak složitá, že s těmito metodami prostě kvalitní spoj neuděláme. V následujícím článku bych rád představil zajímavý způsob výroby desky plošných spojů(dále jen DPS), který používáme na kroužku elektroniky v radioklubu a nevyjde Vás na víc, než pár korun.

# Nažehlovací metoda
Tato metoda je založená na principu tisku toneru z laserové tiskárny na lepící papír a následném přežehlením na DPS. K celému procesu výroby je nejdůležitější **laserová tiskárna**, [obyčejné barevné lepící papíry](http://www.stepa.cz/katalog/slozky/slozky.php) a **žehlička**.

## Příprava motivu pro tisk
Připravíme si motiv plošného spoje, tak abychom jej mohli vytisknout na laserové tiskárně. Stačí i obyčejná tiskárna, ale vždy jsme dávali co **nejsytější** tisk, aby bylo toneru na papíře co nejvíce. Dále čím je větší rozlišení tisku, tak tím je možné vyrobyt jemnější DPS. Při tisku zvolíme **zrcadlově obrácený tisk** (při nažehlení na desku plošného spoje se motiv zrcadlově obrátí), většina programů pro návrh plošných spojů při tisku plně podporuje zrcadlově obrácený tisk. Pokud se tiskne například z PDF nebo jiného formátu (GIF, PNG), je nutné si poradit dalšími programy na jejich úpravu.

![zkušební tisk](plos_07.jpg =600x)

## Zkušební tisk
První zkušební tisk provádíme na čistý kancelářský papír. Přes tento vytištěný obraz návrhu plošného spoje, s dostatečným okrajem (nám se osvědčil 1cm), přelepíme lepící páskou barevný lepící papír a to lepivou stranou nahoru. Tyto barevné lepící papíry lze koupit v každém papírnictví a jejich cena se pohybuje okolo 30 Kč. Znovu vložíme papír s nalepeným kusem barevného papíru do tiskárny a dáme opět tisknout. Po vytisknutí lepící barevný papír s vytištěným motivem na lepící straně odstřihneme nebo odlepíme.

![nalepení lepícího papíru](plos_08.jpg =x200)
![tisk](plos_09.jpg =x200)
![odlepení](plos_10.jpg =x200)

## Nažehlení
Nažehlení je nejdůležitější částí výroby. Vytištěný motiv na lepícím papíru položíme na rovnou podložku, motivem navrch. Na tento motiv přesně přiložíme **očištěnou** a **odmaštěnou** DPS. Na plošný spoj přiložíme kancelářský papír a nakonec přiložíme žehličku. Žehličku doporučujeme nastavit na nějakou nižší hodnotu (hedvábí), tak aby se během přežehlovaní nespálil papír. Po dobu cca 1min necháme žehličku bez přítlaku na desce a pak po dobu další 1 min na žehličku mírně zatlačíme, ale tak abychom si nepohybovali deskou a motiv si nerozmazali.  Také se nám osvědčilo několikrát přejet žehličkou přes papír, aby toner byl opravdu na plošném spoji (pokud je málo zažehlen, motiv v následujím kroku z mědi  "uplave"). Poté sundáme papír a desku plošných spojů s lepícím papírem necháme vychladnout.

![před nažehlením](plos_02.jpg =600x)

## Odmočení
Když je deska již studená, vložíme ji do nádoby s obyčejnou vodou a necháme bez dalšího zásahu volně odmočit pod vodou. Po nějaké době se papír sám odlepí a můžeme si vylovit plošný spoj s otištěným motivem.

![](plos_04.jpg =x200)
![](plos_03.jpg =x200)
![nažehleno](plos_05.jpg =x200)

## Leptání
Před leptáním zkontrolujeme, jestli se motiv přežehlil dobře a jestli není někde porušen. Pak si připravíme leptací lázeň. My používáme peroxid vodíku (technický 30%) a kyselinu chlorovodíkovou (solnou) a obyčejnou vodu v poměru velmi přibližně 1:1:1. Někdy dáváme více vody, aby bylo více času kontrolovat průběh leptání. Obě tyto chemikálie jsou běžně k dostání za pár korun v drogérii. Při leptání a probíhající chemické reakci se uvolňuje chlór, je tedy dobré provádět tuto činnost v dobře větrané místnosti nebo někde venku. Doba leptání je závislá na koncentraci jednotlivých chemikálií.

![Leptáme](plos_01.jpg =600x)

## Finální vyčištění
Po odleptání mědi desku vydrhneme a vyčistíme od nažehleného toneru a můžeme začít pracovat.

![hotové DPS](plos_06.jpg =600x)

# Poznámky
- Místo lepích papírů jsme vyzkoušeli i jiné materiály, například křídový papír nebo zbytky ze samolepích fólií. Důležitým znakem je vždy savost toneru, která musí být co nejmenší, aby se na DPS prenesl  motiv v celku. Při použití například leského fotopapíru nebylo ani třeba dávat nažehlenou DPS do vody, stacilo papír jednoduše strhnout.

- Tato metoda je výrazně ekonomičtější než známá metoda s využitím **fotocitlivé vrsty**, zde není potřeba ani speciálního a drahého plošného spoje s fotocitlivou vrstvou, ani tisknutí motivu na drahé fólie a vyvolávání atd. Lze velmi dobře aplikovat, pokud chceme vyrábět jeden kus a celý proces výroby netrvá ani **15 min**. Samozřejmě nedosahuje takové kvality, jako výroba fotocestou, ale pro naše běžné účely to naprosto stačí. Navíc k ní nejsou potřeba žádné složité či cenově nedostupné materiály a mohou ji snadno provádět i kluci doma.

# Exkluzivní video-reportáž
která Vám doufejme usnadní samotnou výrobu. Hodně štěstí při leptání.

![](https://youtu.be/YTeGho7Cy7o)

# Zdroje
Inspiraci jsme našli na serveru [YouTube](http://www.youtube.com/watch?v=urv6jArKp6M&feature=related "Youtube link") a mnoho dalšího lze najít i [zde](http://www.youtube.com/results?search_query=making+PCB&search_type= "Seach Youtube...").
