```

title = "Toroidy a dvouotvorová jádra v radioamatérské praxi"
perex = "Při třídění šuplíkových zásob feritových a práškových jader
jsem dospěl k některým poznatkům, o které bych se rád podělil s radioamatérskou
obcí, aby výsledky této detektivní práce neupadly v zapomenutí. V obecném
povědomí jsou nejpopulárnější jádra Amidon, některé vybrané typy jsou v
současnosti dostupné v GESu."
tags = ["Článek"]
[author]
name = "Petr, OK1WPN"

```
<script type="text/x-mathjax-config">
MathJax.Hub.Config({
  TeX: { equationNumbers: { autoNumber: "AMS" } }
});
</script>

<script type="text/javascript" async
  src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-MML-AM_CHTML">
</script>

Při třídění šuplíkových zásob feritových a práškových jader
jsem dospěl k některým poznatkům, o které bych se rád podělil s radioamatérskou
obcí, aby výsledky této detektivní práce neupadly v zapomenutí. V obecném
povědomí jsou nejpopulárnější jádra Amidon, některé vybrané typy jsou v
současnosti dostupné v GESu.

Výrobců je ovšem neuvěřitelné množství, jak poznáte z přiložených cross-referenčních listů vybraných firem. Přitom vlastně každý výrobce používá jiné kódové značení pro své feromagnetické materiály. Navíc v průběhu času došlo k fúzi některých výrobců, např. Siemens se spojil s Matsushitou a vytvořili tak firmu Epcos, která velkou část své výroby převedla do Číny. Dnes je Epcos zřejmě největším výrobcem feromagnetických materiálů, problém je ovšem v tom, že používá nové kódové značení, trochu rozdílné od původního Siemensu a kdo se v tom má potom vyznat. Za vydatné pomoci OK1VKZ, který mi pomohl s hledáním na internetu, se mi podařilo dát dohromady některé porovnávací tabulky materiálů od nejznámějších výrobců včetně kódového značení.

Za základní pomůcku pro práci s feromagnetickými toroidními jádry lze považovat software od DL5SWB, který je možno pod názvem "[Mini Ring Core Calculator](http://mini-ring-core-calculator.software.informer.com/)", verze 1.2 volně stáhnout z internetu. Program poskytuje nejen údaje pro výpočty jader nejznámějších výrobců včetně barevného značení, ale i možnost výpočtu a zatřídění neznámých toroidů z jejich rozměrů včetně výpočtů vzduchových cívek. Program samozřejmě neobsahuje všechno (ani nemůže vzhledem k velkému nárůstu údajů), proto jsem některé další získané údaje zpracoval do tabulek.

# Obecně o ferromagnetických materiálech

V radioamatérské praxi se ponejvíce setkáváme s materiály železoprachovými (*iron powder*) a feritovými.

## Železoprachová jádra
Jejich vývoj započal již kolem r. 1930. Pionýry v tomto výzkumu byli Siemens a Philips. Rozeznáváme v zásadě dva základní typy prachových jader: karbonylová a sendustová.

### Karbonyl
Přesněji pentakarbonyl železa Fe(CO)<sub>5</sub>. Jak známo z otrav kysličníkem uhelnatým CO, železo obsažené v červených krvinkách se s ním ochotně slučuje. Zde je chemická reakce obdobná - Fe(CO)<sub>5</sub> je kupodivu kapalina žluté barvy, ze které se vysráží jemný železný prach. Konkrétními metalurgickými postupy, což je samo o sobě velká věda, se zde nebudeme zabývat. Důležité je, že takto vzniklý prach se třídí podle velikosti zrna (0,5 až 10 mm), záleží i na legování výchozího materiálu. Vznikají pak směsi - mixy s různou permeabilitou, ze kterých se po přidání pojiva lisují resp. stříkají jádra různých tvarů. Svůj vliv má i lisovací tlak, může být až 20 tun na cm<sup>2</sup>.

### Sendust
Vznikl r.1935 v Japonsku v městě Sendai, odtud název (dust = prach). Výchozím materiálem je slitina železa Fe, křemíku Si a hliníku Al, která se po rozdrcení na prach dále třídí pro další zpracování, které je obdobné jako u materiálů karbonylových. Pamětníci zajisté vzpomenou na název Alsifer.

## Feritová jádra
Zde již nejde o prášek, ale komplexní chemickou sloučeninu sklovitého charakteru. Pro radioamatérskou praxi rozlišujeme ferity na bázi Mn-Zn pro nižší kmitočty až do několika MHz, pro vyšší a velmi vysoké kmitočty ferity Ni-Zn s menšími ztrátami. Je nutné se řídit dle údajů výrobců, materiálů je neuvěřitelné množství a nové stále přibývají.

# Rozlišení jader dle výrobců

## Amidon Corporation´s  
Je jak nejpopulárnějším výrobcem, tak i distributorem feromagnetických materiálů od dalších firem, z nichž nejznámější je již dlouhá léta Fair-Rite, který používá stejné označování materiálů. Pro radioamatérskou obec jsou důležité především železoprachové toroidy z různých směsí - mixů s odstupňovanou permeabilitou, vhodné pro požadovanou kmitočtovou oblast. Mixy a jejich barevné označení jsou všeobecně známé, jde o dávno zavedený tzv. "military" barevný kód. Mixy jsou obecně na bázi karbonylů různé zrnitosti. Software od DL5SWB dává dostatek informací, pro rychlý přehled poslouží i následující tabulka 1. Některé z uvedených materiálů nabízí i firma GES včetně podrobnějších údajů.

Pro zajímavost: Na žluto-bílém materiálu mix č. 26 si  můžeme demonstrovat vliv technologického postupu na výsledné vlastnosti. Výchozím materiálem je opět karbonyl, ale tzv. hydrogenizovaný, čili zbavený z velké části uhlíku C redukcí ve vodíkové atmosféře (hydrogenu). Výsledkem je jemný prach chemicky téměř čistého železa Fe, jehož jednotlivá zrna jsou však od sebe při konečném lisování dokonale oddělena příslušným pojivem, takže nemohou vzniknout vířivé proudy v jádře. Typická je pro toto prachové jádro neobvykle vysoká permeabilita μ<sub>i</sub> = 75. Materiál umožňuje dosáhnout extrémně vysokých hodnot sycení B<sub>max</sub> až 10 T, což vynikne zvláště při srovnání s jádry pro síťové transformátory, kdy dosažení hodnot cca 1,5 T je maximem. U feritových materiálů obecně je sycení B<sub>max</sub> podstatně nižší.

## Výkonová zatížitelnost železoprachových a feritových jader v radioamatérské praxi

(Volně přeloženo z katalogu Giesler a Danne 1987)

Výkonová zatížitelnost jader je sice ovlivňována mnoha faktory, pro radioamatérskou praxi se však můžeme omezit na dva nejdůležitější: sycení materiálu B<sub>max</sub> a nárůst teploty vinutí. Platí vztah:

$$\begin{equation}P = \frac{V\_e \cdot f \cdot B\_{max}^2}{\mu\_{eff}}\end{equation}$$

kde P je výkon [W], V<sub>e</sub> objem jádra [cm<sup>3</sup>], f kmitočet [Hz].<br><br>

Sycení B<sub>max</sub> pak lze určit dle Faradayova zákona

$$\begin{equation}B\_{max} = \frac{E \cdot 10^8}{4,44 \cdot A\_e \cdot N \cdot f}\end{equation}$$

kde E je napětí na vinutí [V], A<sub>e</sub> průřez jádra [cm<sup>2</sup>], N počet závitů, f kmitočet [Hz], sycení B<sub>max</sub> [Gauss].<br><br>

K tomu je nutno dodat, že někteří výrobci udávají rozměry ve svých katalozích v cm, jiní zase v mm, takže je nutný přepočet. To samé platí pro sycení B, ale že 10 000  Gauss = 1 T je všeobecně známo. Efektivní permeabilita μ<sub>eff</sub> není totožná s počáteční permeabilitou μ<sub>i</sub>, závisí na kmitočtu a  B<sub>max</sub>. Obojí lze odečíst z grafů, které výrobci udávají pro jednotlivé materiály v katalozích (některé uvádí i GES ve svém katalogu). Uvedené vzorce platí jak pro prachové, tak i pro feritové materiály. Obecně pro feritové materiály s počáteční permeabilitou μ<sub>i</sub> pod 1000 (Ni-Zn ferity) je B<sub>max</sub> = 1,5 T, pro permeabilitu nad 1000 (Mn-Zn) je B<sub>max</sub> = 3 T. Oproti tomu B<sub>max</sub> pro železoprachová jádra je všeobecně větší než 10 T, nelze je tudíž při dané velikosti snadno přesytit a to je důvodem jejich obliby v radioamatérské praxi.

Z uvedených vztahů je zřejmé, že při daném kmitočtu a sycení materiály s nízkou permeabilitou snesou vyšší výkony. Při výrobním procesu je jemný železný prach prostoupen nepatrnými izolačními mezerami, naplněnými pojivem, které mikročástice prachu vzájemně odděluje. Na velikosti částic a hustotě plnění závisí pak výsledná permeabilita. Při nižších hodnotách permeability  se pak u vyšších výkonů o sycení nemusíme příliš starat. Typickým příkladem je Amidon mix č. 2, oblíbený pro oblast krátkých vln.

**Tabulka 1**

![Tabulka 1](tab1.gif)

Jak již bylo zmíněno výše, je výkonová zatížitelnost jádra omezena i oteplením vinutí. Ohřev je důsledkem ztrát ve vinutí i v jádře a dá se vyjádřit vztahem

$$\begin{equation}T = \frac{celkový ztrátový výkon [mW]}{A\_e} \cdot 0.833 [°C]\end{equation}$$

Pro dosažení maximálního sycení B<sub>max</sub> je výkonová zatížitelnost jádra závislá na jeho objemu V<sub>e</sub>, z pohledu teploty na účinném průřezu A<sub>e</sub>.

Při  stejnosměrném a nízkofrekvenčním zatížení vinutí je výpočet jeho ztráty opravdu jednoduchý, tedy

$$\begin{equation}P = R \cdot I^2\end{equation}$$

kde I je protékající proud [A] a R je odpor vinutí [&#8486;]

U vyšších kmitočtů se ovšem musí přihlédnout ke skinefektu. V případě spínaných zdrojů se u akumulačních tlumivek již při kmitočtech řádu desítek kHz často používá lanko stočené z několika slabších smaltovaných vodičů. Jak pro feritová, tak i železoprachová jádra stoupá ztráta relativně lineárně s kmitočtem. Při konstantním kmitočtu roste pak ztráta s druhou mocninou sycení B. Tyto údaje jsou použitelné pro feritové materiály "77", "F" a "J" do cca 100 kHz, pro železoprachový materiál "26" do 300 kHz.  Tolik pro hrubý odhad, přesnější údaje o B<sub>max</sub> a ztrátách je nutno vyhledat v katalogu příslušného výrobce.

Při vysokofrekvenčních aplikacích lze obecně říci, že feritové materiály jsou co do výkonu omezeny sycením, železoprachové pak oteplením. Z dlouholetých praktických zkušeností pak pro oblíbený Amidon mix č. 2 vyplývá, že toroidní jádro *T200-2* je optimální pro vf výkon 1 kW v případě širokopásmového balunu, při použití jako rezonanční okruh v transmatchi pak s rezervou zpracuje 100 W. *T106-2* pak jako balun běžně snese 100 W, *T68-2* cca 10 W.

## Pramet Šumperk
I když se to mladší generaci bude zdát neuvěřitelné, kvalitní železoprachová jádra se vyráběla i u nás. Tehdy se ovšem Pramet jmenoval ZPP čili Závody první pětiletky a ještě před tím to byl Siemens a nyní dělají pro Epcos, čímž je řečeno vše. Vyráběla se jádra karbonylová stříkaná (hrnečky a šroubová jádra), žluté značení bylo pro kmitočty do 2 MHz, červené značení nad 2 MHz. Posledními obecně známými výrobky byla miniaturní hrníčková jádra průměru 10 mm, která se používala v radiostanicích VXN a VR na pozici mf kmitočtu 468 kHz.

V Šumperku se ale od 50. let vyráběly i lisované železoprachové toroidy pro telekomunikační techniku a to jak karbonyl (K), tak i sendust (S). Neinformovaní radioamatéři je někdy zahazují s tím, že jde o obyčejné železo. Tyto starší materiály zřejmě zcela zmizely ve stoupě času, přesto uvádím tabulku, aby ti mladší viděli, že my Čížkové jsme uměli leccos. Toroidní jádra se vyráběla jak jednodílná, tak dvoudílná (podélně rozdělená z důvodu snazšího lisování). Plochá zbroušená styková hrana nesla údaje o jádře.

**Tabulka 2**

![Tabulka 2](tab2.gif)

Porovnáme-li  tato jádra s výrobky Amidon co do permeability, je zřejmá jejich nahraditelnost. V dobách, kdy se o jádrech Amidon u nás vědělo pouze to, že existují, jsem měl možnost vyzkoušet jádra T 40,7S s μ<sub>i</sub> =  55, vybraná ze starých likvidovaných elektronkových zařízení pro telekomunikační techniku. Tato jádra byla provozována na kmitočtech do cca 150 kHz jako rezonanční okruhy ve filtrech a kmitočtových výhybkách.  Prvním pokusem, vzhledem k relativně vysoké permeabilitě, bylo ověření jádra v řízeném spínaném zdroji 12/28 V ve funkci akumulační tlumivky. Zdroj pracoval na cca 30 kHz s výkonem 100 W, ohřev jádra byl nepatrný. Jediným horkým prvkem byla rekuperační dioda, ale právě ve zmíněné době se objevil typ KYW130 s rychlou dobou zotavení.

Druhým pokusem bylo ověření zmíněných jader ve  funkci  balunů 1:1 a 1:4 pro drátové antény na KV. Ve světle nynějších poznatků vzhledem k vysoké permeabilitě = 55 a zřejmě nevhodnému kmitočtovému rozsahu šlo o hříšný počin (srovnej žlutobílý Amidon mix 26), nicméně baluny pracovaly na 3,5 MHz jak na obvyklých souměrných dipólech a invertovaných V, tak na FD4 s napájením plochou dvoulinkou, ba i na vyšších pásmech. Samozřejmě, že to s účinností nebude nejlepší a také tehdy nebylo čím měřit, ale dokud anténa visí ve výšce 25 m nad zemí a centrální uzemnění je  připojeno na roury výměníkové stanice v podzemí pod klubovnou, není zřejmě co řešit.

Určitým vysvětlením je ovšem i skutečnost, že jádra provozovaná jako baluny a transformátorové vazby fungují při  širokopásmových aplikacích do vyšších kmitočtů než v případě úzkopásmového rezonančního obvodu, jak je zřejmé nejen z programu DL5SWB, ale i následujících přehledů feritových materiálů. Co se projevuje u feritů, projeví se v jisté míře i u železoprachových materiálů. Stejně tak v neposlední míře má na horní hranici kmitočtů vliv i impedance a délka vinutí, ať už se jedná o dvoudrátové, třídrátové či vícedrátové provedení. Chce si to přečíst třeba Rothammela a měřit a zkoušet. Třeba se nám podaří "vyškolit" i žlutobílé jádro mix 26 ze spínaných zdrojů alespoň pro část krátkovlnného rozsahu.

## Feritová jádra
U feritů začneme opět jádry Amidon či Fair-Rite. Základní přehled nám dává opět software DL5SWB. Pro rychlou orientaci uvádím tabulku 3. Číselné značení používá Amidon a Fair-Rite, značení velkými písmeny Magnetics Inc. Barevné značení je bez záruky, ač se o vypátrání originálního firemního značení na internetu snaží v různých diskusních fórech mnozí. Zlí jazykové tvrdí, že Amidon toho vyrábí a dodává tolik, že mu pro barevné značení nestačí všechny barvy spektra.

**Tabulka 3**

![Tabulka 3](tab3.gif)

Z tabulky je patrné, jak se liší použitelný kmitočtový rozsah pro různé aplikace, jak již bylo zmíněno výše.  Pro KV praxi jsou jak známo nejoblíbenější materiály *43* a *61*, což tabulka plně potvrzuje. Tyto typy nabízí i GES. Mohu potvrdit, že materiál *61* je zcela ekvivalentní materiálu *Pramet N1*. Toto bylo několikrát ověřeno na KV balunu při použití jádra *N1* o průměru 50 mm.

## Philips
Philips byl vlastně první, kdo s výzkumem magneticky měkkých feritů začal. Materiály mají obchodní značku Ferroxcube. Počáteční číslicí *3* jsou je označována řada MnZn feritů pro nižší kmitočty, *4* je řada NiZn feritů pro vf použití. Software DL5SWB je pro radioamatérskou praxi zcela dostačující.

## EPCOS
Dalším velkým výrobcem feritů je Epcos. Původní značení materiálů Siemens se po sloučení s Matsushitou částečně změnilo, proto přehled materiálů podle  permeability uvádím v tabulce 4. Barevný kód pro všechny materiály bohužel též není znám, ale pro výběr objednávkového značení vyráběných dostupných typů zcela postačí software DL5SWB. Materiály Siemens byly též známy pod označením Siferrit.

**Tabulka 4**

![Tabulka 4](tab4.gif)

NiZn materiály *U60* a *U17* jsou určeny pro vf použití. *U60* odpovídá našemu *N01*, *U17* je vyráběn již od roku 1960 a odpovídá spíše našemu *N02*.

# Dvouotvorová jádra
Tato jádra vyrábí všichni výrobci a přesto, že jsou v praxi často využívána, v radioamatérské literatuře chybí jejich ucelenější přehled. Jejich hlavní výhodou je minimální rozptyl, protože větší část vinutí je schována uvnitř ferromagnetického materiálu a rozptylové pole je tak ještě menší než u toroidů. Hlavní oblastí využití je konstrukce širokopásmových vf transformátorů a balunů. Někdy se v případě potřeby nahrazovala dvouotvorová jádra dvěma trubičkami, případně u větších výkonů sloupky slepenými z toroidů. Pro malé výkony je dnes vyráběný sortiment dostatečný od krátkovlnných kmitočtů až do oblasti mikrovln. Dnes se tyto miniaturní transformátory vyrábějí hotové i pro SMD technologii v GHz oblasti. Výhoda nepatrného rozptylu vynikne zejména v aplikacích, kde se používají prvky s vysokou vstupní impedancí (MOSFET, GaAs-FET, HEMT) a vysokým ziskem (MIMICs) a stabilita je nezbytnou nutností.

**Tabulka 5**

![Tabulka 5](tab5.gif)

U nás jsou běžně známa dvouotvorová jádra používaná dříve pro televizní symetrizační členy. Tyto tzv. TV baluny s převodem 1:4 byly navinuty miniaturní dvoulinkou a používány pro I. - III. TV pásmo (delší typ), pro TV pásmo IV. - V. pak kratší typ. Porovnáním s výše uvedenou tabulkou 5 pak zjistíme, že delší typ odpovídá velikosti A1, tedy typu B62152A1X1, kratší typ pak má velikost A4, tedy B62152A4X1. Značení X1 tedy udává materiál K1 s permeabilitou μ<sub>i</sub> = 80, což je nejblíže materiálu N1, ze kterého se dělaly TV baluny u nás.

S dvouotvorovými jádry (*doppellochkern, double aperture cores*) se setkáme u mnoha starších zahraničních radioamatérských konstrukcí (např. YU1AW, DJ7VY atd.). Tabulku Epcos uvádím pro snazší orientaci. Velice výhodné je použít pro případné výpočty i A<sub>L</sub> konstantu.

**Tabulka 6**

![Tabulka 6](tab6.gif)

Pro ostatní materiály se nepodařilo A<sub>L</sub> konstanty vypátrat, je nutná svépomoc měřením vzorků. V případě potřeby je možné nahlédnout do katalogu EPCOS. Některé vybrané typy jader Amidon nabízí i GES, uvádí i A<sub>L</sub> konstanty, typové označení je rozdílné.

Ve výčtu feritových jader nelze opomenout materiály vyráběné v Prametu Šumperk, kterých je uloženo v radioamatérských šuplících zajisté ještě dost. V Prametu se vyráběla jádra v podstatě všech tvarů včetně dnes žádaných feritových válečků a dvouotvorových jader s vyšší permeabilitou. Zde uvedený přehled pro toroidy poslouží k porovnání s materiály světových výrobců. Samozřejmě si pomůžeme softwarem DL5SWB, porovnáváme podle počáteční permeability, což je pro radioamatérskou praxi postačující. Je jen škoda, že se kvůli restrukturalizaci podniku více nerozšířily zejména materiály *N3* a *N7*. Například materiál *N7* je svými užitnými vlastnostmi velice podobný materiálu *43* od Amidon- Fair Rite, který je v radioamatérských projektech velmi často využíván.

**Tabulka 7**

![Tabulka 7](tab7.gif)

V tabulce si povšimněte uváděného Curieho bodu, což je teplota, při které feritový materiál ztrácí své magnetické vlastnosti. Udává se jako teplota, při jejímž dosažení se permeabilita "zřítí" na polovinu své původní hodnoty. To je důležité při výkonových aplikacích feritů. Tento jev je vratný, pokud feritové jádro přetížením nepraskne. Po vychladnutí se magnetické vlastnosti vrací k normálu. Dále si povšimněte, že Curieho teplota klesá s rostoucí permeabilitou, což je u feritů obecný jev nezávislý na jménu výrobce.

## Podrobnější informace lze najít na internetových adresách:
- [www.dl5swb.de](http://www.dl5swb.de/)
- [www.epcos.com](http://www.epcos.com/)
- [www.amidoncorp.com](http://www.amidoncorp.com/)
- [www.ferroxcube.com](http://www.ferroxcube.com/)
- [www.doe.cz](http://www.doe.cz/)
- [www.iskra-feriti.si](http://www.iskra-feriti.si/)

kde najdeme i porovnávací cross-referenční listy a katalogy.

# Závěr
Doufám, že tento přehled pomůže všem radioamatérům, kteří se zabývají jak konstrukcí různých balunů pro KV pásma, tak praktickými konstrukcemi obecně.

# Literatura
- Magneticky měkké materiály ve sdělovací technice, SNTL 1961
- Elektronikladen Giesler & Danne, Katalog 2/1987
- "Měkké ferity Fonox",  katalog PRAMET Šumperk 1973
- "Ferromagnetické materiály ve vf obvodech", ing. Martin Kratoška OK1RR, AR-B pro konstruktéry 2/2005
