+++

title = "Q-kódy"
perex_e = "Od počátků radiového provozu, který tehdy využíval výhradně 
telegrafní signály, měli operátoři snahu zrychlit vysílání použitím 
zkratek pro některé často se opakující ustálené fráze. Tak vzniklo 
několik soustav kódů, nejznámější je tzv. Q-kód charakterisovaný 
skupinou tří písmen, z nichž první je \"Q\".
Q-kód je univerzální a používá ho většina služeb. Některé služby si 
vyvinuly vlastní kódy, např. N-kód, Z-kód, které lépe odpovídají jejich 
potřebám.
V radioamatérské praxi se používá jen části celého Q-kódu, přehled je
 uveden dále v tabulce. Je nutno dodat, že používání Q-kódů radioamatéry
 postupně ustupuje otevřené řeči, což je pravděpodobně způsobeno stále 
vyšší vzdělaností a s ní spojenou znalostí angličtiny.



Q kódVýznamVýznam otázky


QRA
Volací znak vaší stanice je ....... .
Jaký je volací znak vaší stanice?


QRB
Vzdálenost mezi námi je ...... km.
Jaká je vzdálenost mezi námi?


QRG
Váš kmitočet je ...... kHz.
Jaký je můj kmitočet?


QRH
Váš kmitočet se mění.
Mění se můj kmitočet?


QRI
Tón vašeho vysílače je ......1. dobrý, 2. mění se, 3. špatný.
Jaký je tón mého vysílače?


QRJ
Nemohu vás přijímat,váš signál je přísliš slabý.
Přijmáte mne špatně?


QRK
Čitelnost vašich signálů je ......1.nepřijatelná, 2.špatná, 3.přijatelná, 4.dobrá, 5.výborná.
Jaká je čitelnost mých signálů?


QRL
Jsem zaměstnán, nerušte.
Jste zaměstnán?


QRM
Vaše vysílání je rušeno.
Je mé vysílání rušeno?


QRN
Vaše vysílání je rušeno atmosférickým rušením.
Je mé vysílání rušeno atmosférickým rušením?


QRO
Zvyšte výkon.
Mám zvýšit výkon?


QRP
Snižte výkon.
Mám snížit výkon?


QRQ
Vysílejte rychleji.
Mám vysílat rychleji?


QRS
Vysílejte pomaleji.
Mám vysílat pomaleji?


QRT
Přestaňte vysílat.
Mám přestat vysílat?


QRU
Nic pro vás nemám.
Máte něco pro mne?


QRV
Jsem připraven.
Jste připraven?


QRW
Sdělte stanici ......, že ji volám na kmitočtu ...... kHz.
Mám sdělit stanici ......, že ji voláte na kmitočtu ...... kHz?


QRX
Zavolám vás znovu v ...... UTC na kmitočtu ...... kHzpřeneseně: Čekejte.
Zavoláte mne znovu?přeneseně: Mám počkat?


QRZ
Volá vás ...... na kmitočtu ...... kHz.
Kdo mne volá?


QSA
Síla vašeho signálu je ...... .
Jaká je síla mého signálu?


QSB
Váš signál má únik.
Má můj signál únik?


QSD
Vaše klíčování je závadné.
Je mé klíčování závadné?


QSG
Posílám skupinu ...... zpráv.
Mám poslat skupinu ...... zpráv?


QSK
Mohu vás slyšet mezi svými značkami.
Můžete mne slyšet mezi svými značkami?


QSL
Potvrzuji příjem.
Můžete potvrdit příjem?


QSM
Opakujte poslední zprávu(...... posledních zpráv).
Mám opakovat poslední zprávu(...... posledních zpráv)?


QSN
Slyšel jsem Vás na ...... kHz.
Slyšel jste mne na ...... kHz?


QSO
Mohu korespondovat přímo se stanicí ...... .
Můžete korespondovat přímo se stanicí ......?


QSP
Předám zprávu stanici ...... .
Můžete předat zprávu stanici ......?


QST
Zpráva všem radioamatérům.



QSV
Vyšlete sérii \"VVV\"(na kmitočtu ...... kHz).
Mám vyslat sérii \"VVV\"(na kmitočtu ...... kHz)?


QSX
Poslouchám stanici ...... na kmitočtu ...... kHz.
Slyšíte stanici ...... na kmitočtu ...... kHz?


QSY
Přelaďte se na kmitočet ...... kHz.
Mám se přeladit na kmitočet ...... kHz?


QSZ
Opakujte každé slovo ...... krát.
Mám opakovat každé slovo ...... krát?


QTC
Mám pro vás ...... zpráv.
Kolik máte (pro mne) zpráv?


QTH
Moje stanoviště je ...... .
Jaké je vaše stanoviště?


QTR
Přesný čas je ...... UTC.
Jaký je přesný čas?


QZF
Nalaďte se přesně na můj kmitočet.
Mám se naladit přesně na váš kmitočet?



Otázku vytváříme doplněním otazníku za kód, např. QTH?.
V radioamatérské praxi se vžilo i používání přeneseného (zobecněného) výzanamu Q-kódů, např. QSO znamená obecněji \"radioamatérské spojení\", QTH \"\"umístění stanice\", QRO \"velký výkon\", a řekne-li někdo ve fonickém spojení, že jde \"do 
kvéerelu\", nejde o nic hrozného (krom jazykové stránky), mluvčí tak chce
 vyjádřit, že jde do zaměstnání.
Zdroj - ČRK
Více zde"
tags = ["Článek"]
+++

Od počátků radiového provozu, který tehdy využíval výhradně 
telegrafní signály, měli operátoři snahu zrychlit vysílání použitím 
zkratek pro některé často se opakující ustálené fráze. Tak vzniklo 
několik soustav kódů, nejznámější je tzv. Q-kód charakterisovaný 
skupinou tří písmen, z nichž první je "Q".
Q-kód je univerzální a používá ho většina služeb. Některé služby si 
vyvinuly vlastní kódy, např. N-kód, Z-kód, které lépe odpovídají jejich 
potřebám.
V radioamatérské praxi se používá jen části celého Q-kódu, přehled je
 uveden dále v tabulce. Je nutno dodat, že používání Q-kódů radioamatéry
 postupně ustupuje otevřené řeči, což je pravděpodobně způsobeno stále 
vyšší vzdělaností a s ní spojenou znalostí angličtiny.



Q kódVýznamVýznam otázky


QRA
Volací znak vaší stanice je ....... .
Jaký je volací znak vaší stanice?


QRB
Vzdálenost mezi námi je ...... km.
Jaká je vzdálenost mezi námi?


QRG
Váš kmitočet je ...... kHz.
Jaký je můj kmitočet?


QRH
Váš kmitočet se mění.
Mění se můj kmitočet?


QRI
Tón vašeho vysílače je ......1. dobrý, 2. mění se, 3. špatný.
Jaký je tón mého vysílače?


QRJ
Nemohu vás přijímat,váš signál je přísliš slabý.
Přijmáte mne špatně?


QRK
Čitelnost vašich signálů je ......1.nepřijatelná, 2.špatná, 3.přijatelná, 4.dobrá, 5.výborná.
Jaká je čitelnost mých signálů?


QRL
Jsem zaměstnán, nerušte.
Jste zaměstnán?


QRM
Vaše vysílání je rušeno.
Je mé vysílání rušeno?


QRN
Vaše vysílání je rušeno atmosférickým rušením.
Je mé vysílání rušeno atmosférickým rušením?


QRO
Zvyšte výkon.
Mám zvýšit výkon?


QRP
Snižte výkon.
Mám snížit výkon?


QRQ
Vysílejte rychleji.
Mám vysílat rychleji?


QRS
Vysílejte pomaleji.
Mám vysílat pomaleji?


QRT
Přestaňte vysílat.
Mám přestat vysílat?


QRU
Nic pro vás nemám.
Máte něco pro mne?


QRV
Jsem připraven.
Jste připraven?


QRW
Sdělte stanici ......, že ji volám na kmitočtu ...... kHz.
Mám sdělit stanici ......, že ji voláte na kmitočtu ...... kHz?


QRX
Zavolám vás znovu v ...... UTC na kmitočtu ...... kHzpřeneseně: Čekejte.
Zavoláte mne znovu?přeneseně: Mám počkat?


QRZ
Volá vás ...... na kmitočtu ...... kHz.
Kdo mne volá?


QSA
Síla vašeho signálu je ...... .
Jaká je síla mého signálu?


QSB
Váš signál má únik.
Má můj signál únik?


QSD
Vaše klíčování je závadné.
Je mé klíčování závadné?


QSG
Posílám skupinu ...... zpráv.
Mám poslat skupinu ...... zpráv?


QSK
Mohu vás slyšet mezi svými značkami.
Můžete mne slyšet mezi svými značkami?


QSL
Potvrzuji příjem.
Můžete potvrdit příjem?


QSM
Opakujte poslední zprávu(...... posledních zpráv).
Mám opakovat poslední zprávu(...... posledních zpráv)?


QSN
Slyšel jsem Vás na ...... kHz.
Slyšel jste mne na ...... kHz?


QSO
Mohu korespondovat přímo se stanicí ...... .
Můžete korespondovat přímo se stanicí ......?


QSP
Předám zprávu stanici ...... .
Můžete předat zprávu stanici ......?


QST
Zpráva všem radioamatérům.



QSV
Vyšlete sérii "VVV"(na kmitočtu ...... kHz).
Mám vyslat sérii "VVV"(na kmitočtu ...... kHz)?


QSX
Poslouchám stanici ...... na kmitočtu ...... kHz.
Slyšíte stanici ...... na kmitočtu ...... kHz?


QSY
Přelaďte se na kmitočet ...... kHz.
Mám se přeladit na kmitočet ...... kHz?


QSZ
Opakujte každé slovo ...... krát.
Mám opakovat každé slovo ...... krát?


QTC
Mám pro vás ...... zpráv.
Kolik máte (pro mne) zpráv?


QTH
Moje stanoviště je ...... .
Jaké je vaše stanoviště?


QTR
Přesný čas je ...... UTC.
Jaký je přesný čas?


QZF
Nalaďte se přesně na můj kmitočet.
Mám se naladit přesně na váš kmitočet?



Otázku vytváříme doplněním otazníku za kód, např. QTH?.
V radioamatérské praxi se vžilo i používání přeneseného (zobecněného) výzanamu Q-kódů, např. QSO znamená obecněji "radioamatérské spojení", QTH ""umístění stanice", QRO "velký výkon", a řekne-li někdo ve fonickém spojení, že jde "do 
kvéerelu", nejde o nic hrozného (krom jazykové stránky), mluvčí tak chce
 vyjádřit, že jde do zaměstnání.
Zdroj - ČRK
Více zde
