+++

title = "Reflektometry starých bastlířů - díl II."
perex_e = "
Druhé pokračování 1. dílu se věnuje problematice KV reflektometrů. Více uvnitř článku.



..
.
.
.



"
tags = ["Článek", "Bastlení", "Konstrukce", "2011"]
+++


Druhé pokračování 1. dílu se věnuje problematice KV reflektometrů. Více uvnitř článku.



..
.
.
.




**KV reflektomety**

Tuto tématiku  z konstrukčního hlediska precizně zpracoval OK1AYY v [ 6 ] a není třeba k této úctyhodné práci cokoli dodávat. Povšimneme si proto jenom některých drobných nápadů,  souvisejících s daným tématem. Vzhledem k době, ve které zřejmě tento materiál vznikal, zaměřil se autor na ferity z Prametu, které již v dnešní době nejsou většinou dostupné a je nutno uvažovat o jejich náhradě. Za určitý nedostatek považuji, že  autor pro vinutí proudových transformátorů udává vždy jen počet závitů nebo vychází pouze z A<sub>L</sub> konstanty, aniž by byla uvedena též  hodnota indukčnosti, která by pomohla alespoň k rychlému porovnání a orientaci. To samé ovšem platí i pro reflektometry, uvedené v literatuře [ 8 ]. V dnešní době již existuje praktický program Mini Ring Core Calculator, který lze volně stáhnout z autorových stránek [www.dl5swb.de](http://www.dl5swb.de/). Mezi bastlíři je tento program též znám jako „toroidová kalkulačka“. Po krátkém zácviku se s ním pracuje velice rychle, krom toho je vlastně i katalogem nejběžnějších feromagnetických materiálů dodávaných od Amidonu, Philipse a Siemense (dnes Epcos ) včetně barevných  kódů, umožňuje též řadu dalších výpočtů, např. reaktance vinutí pro daný kmitočet (pravidlo čtyřnásobku či vícenásobku), jak uvádí OK1AYY. Umožňuje též výpočet vzduchových cívek, ale i neznámých toroidů podle rozměrů, takže nám postačí posuvné měřítko čili šuplera a měřič indukčností. Zde nedoporučuji rezonanční měřiče LC pracující na  vyšších  kmitočtech, nanejvýš  lze pro nf materiály použít klasické RLC můstky. Výborně  se osvědčil "Digitální měřič indukčností a kapacit" s PIC16C622, který svého času pod označením W 039 jako stavebnici  distribuoval HADEX Ostrava. Zcela identické měřiče se objevují dodnes na netu, pouze s námi nemluví česky. Jsou universálním kompromisem mezi LC a RLC můstky. S ještě dostatečnou  přesností měří i  relativně malé hodnoty indukčností na prachových a feritových materiálech s nižší permeabilitou. Indukčnost měříme tak, že toroid prostě navlékneme na drát mezi vstupními svorkami (jeden průchod toroidem představuje jeden závit). Tato indukčnost je zároveň A<sub>L</sub> konstantou pro měřený vzorek, se kterou pak můžeme dále pracovat. Pro tyto materiály bývá obvyklé měřit indukčnost vzorku vinutí např. při 10 závitech, ale praxe ukazuje, že to při zmíněném měřiči není nezbytně nutné.  A ještě poznámka k programu Mini Ring Core  Calculator: Poslední verze obsahuje výpočet sycení B a upozornění při překročení jeho  maximální hodnoty, výpočet ztrát a nárůst oteplení daného jádra při zadaném úbytku napětí na vinutí. Čili vše nejdůležitější, co v praxi potřebujeme, aniž bychom si lámali hlavu řadou vzorců a vůbec zapínali kalkulačku. To vše se hodí i pro návrh výkonových vf transformátorů a  balunů.

Vraťme se však k článku OK1AYY v [ 6 ]. Jaroslav zcela správně zdůrazňuje, že pro širokopásmové aplikace včetně reflektometrů se prachová jádra nehodí a to nejen kvůli jejich vysoké  ceně. Doménou využití prachových jader jsou rezonanční obvody  případně filtry, u kterých požadujeme vysoké Q. To je ovšem přežitek z doby krystalek a dvoulampovek, kdy se nám usadilo  v hlavě, že když už cívka, tak musí mít vysoké Q. Nemusí! A tak cpeme dnes konečně dostupná prachová jádra i tam, kde je to zbytečné, a to nejen u nás v OK. Lid radioamatérský prostě blbne. Poukaz na maximální sycení, kdy se feritové  materiály  příliš ohřívají a praskají, není taktéž na místě při dnes většinově používaných 100 W transceivrech. Samozřejmě při kilowattových PA již jde o něco jiného, ale tyto výkony předpokládejme u osob alespoň poučených. Zmíněný článek [6] uvádí i použití feritových  materiálů s vyšší permeabilitou  např. H6 až H22, abychom splnili podmínku deseti až  dvacetinásobku reaktance na spodní  kmitočtové hranici 1,8 MHz a dosáhli tak dostatečně malé délky vinutí, která zase ovlivňuje horní  hranici kmitočtů na 28 MHz.

Pro ilustraci si připomeňme dávnou a osvědčenou konstrukci uvedenou v [ 8 ], předtím ještě OK1BI  v "Přednáškách" a ještě před tím v Handbooku a QST. Taktéž Jaroslav OK1AYY ji ve svém článku uvádí jako obr. 1e a zde jej předkládám jako obr.14.

![14](/upload/ok1wpn/clanky/reflektometry/14.png)

Tento reflektometr jsem realizoval v mnoha provedeních s jedním měřidlem, se dvěma měřidly samostatnými i křížovými. Pokud to není bezpodmínečně nutné, zásadně odmítám nějaká vylepšení digitálními měřidly, protože ta řeší nanejvýš parádu, ale nikoli vlastní můstek. Je zbytečné přivádět do krabičky další napájecí dráty,  ostatně indikaci bargrafem má dnes každý slušný transceiver. Reflektometr je možné vždy dokonale vybalancovat pomocí kapacitních trimrů v obou směrech, použití kapacitních děličů nás do jisté míry zbavuje starostí s jejich zatížitelností na rozdíl od rezistorů. Kdysi jsem pro toto zapojení používal obyčejné "televizní" skleněné trimry, jejich hodnota do 5 pF zcela postačovala. Kondenzátory 220 pF jsou nejlépe staré trubičkové ze šuplíkových zásob, pokud je do krabičky zapájíme coby průchodkové, získáme tak pevné pájecí body pro trimry a diody. Kapacitní děliče jsou kmitočtově nezávislé stejně tak jako  děliče rezistorové, kdo tomu nevěří, ať si to ověří pokusným výpočtem. Tlumivky jsou 1mH, lze je koupit v GESu nebo navinout podle [6]. Na uvedené konstrukci jsem průběhem let ověřoval i různé toroidy. Původní provedení proudového  transformátoru, tedy 20 závitů na toroidu N1 či N2 se plně osvědčilo, naopak prachový Amidon červený materiál č.2\. ani zdaleka nedosáhl potřebné reaktance a tím ani širokopásmovosti. To uvádím proto, že použití tohoto materiálu bylo kdysi v jakési staré zahraniční literatuře uvedeno, proč to tedy neověřit v praxi.

Pro porovnání jsem několik vybraných typů toroidů seřadil do tabulky. Zatěžovací odpor vinutí  předpokládejme (podle obr. 14 ) 12+12, tj. 24 ohmů, vinutí bude mít 20 závitů, jak uvedeno ve zmíněném pramenu.

| 

**Tabulka k obr.14 - porovnání toroidů**

 |
| 

Zatěžovací odpor Rz = 24 ohm , vinutí 20 závitů

 |
| 

Toroid

 | 

A<sub>L</sub> nH / z<sup>2</sup>

 | 

Indukčnost mH

 | 

X<sub>L</sub> W

1,8MHz

 | 

X<sub>L</sub> W 3,5MHz

 |
| 

/n - nás.

 | 

/n - nás.

 |
| 

Fonox N1  10/6/4 mm

 | 

50

 | 

20

 | 

225/9

 | 

440/18

 |
| 

Fonox N1  16/10/6 mm

 | 

70

 | 

28

 | 

316/13

 | 

615/25

 |
| 

Fonox N2  10/6/4 mm

 | 

82,5

 | 

33

 | 

373/15

 | 

725/30

 |
| 

Fonox N2  16/10/6 mm

 | 

112,5

 | 

45

 | 

510/21

 | 

990/41

 |
| 

Fonox N3  10/6/4 mm

 | 

102,5

 | 

41

 | 

463/19

 | 

900/38

 |
| 

Fonox N3  16/10/6 mm

 | 

140

 | 

56

 | 

633/26

 | 

1233/51

 |
| 

Fonox H6  10/6/4 mm

 | 

245

 | 

120

 | 

1108/46

 | 

2155/90

 |
| 

Fonox H6  16/10/6 mm

 | 

337,5

 | 

135

 | 

1527/64

 | 

2970/125

 |
| 

Philips 4C65  22,5/13,5/6,6 mm

 | 

75

 | 

30

 | 

339/14

 | 

659/27

 |
| 

Amidon FT82 - 61  21/13,1/6,35 mm

 | 

75

 | 

30

 | 

339/14

 | 

659/27

 |
| 

**Amidon T50 - 3  12,7/7,7/4,8 mm**

 | 

**17,5**

 | 

**7**

 | 

**80/3,3**

 | 

**154/6,4**

 |
| 

**Amidon T68 - 2  17,5/9,4/4,8 mm**

 | 

**5,7**

 | 

**2,3**

 | 

**25,7/1**

 | 

**50/2**

 |
| 

**Amidon T68 - 26  17,5/9,4/4,8 mm**

 | 

**43,5**

 | 

**17,5**

 | 

**200/8**

 | 

**385/16**

 |
| 

**Amidon T106- 26  26,9/14,5/11,1mm**

 | 

**93**

 | 

**37,2**

 | 

**420/17**

 | 

**818/34**

 |

Z tabulky je zřejmé, že feritové materiály pro populární reflektometr z obr.14 podmínce dvacetinásobku téměř všechny vyhovují. Pokud nevyužíváme pásmo 1,8MHz a začínáme až od 3,5MHz, vyhovují naprosto všechny. Protože tuzemské ferity Fonox již také nejsou běžně dostupné, uvádím pro materiál N1 ekvivalenty Philips 4C65 a Amidon 61, které jsem několikrát ověřil s naprosto shodnými výsledky. Reflektometr není sice určen pro vyloženě QRP, ale širokopásmovost pro měření průchozího výkonu je dostačující až do 50MHz. Na 145MHz už  jako měřič výkonu vzhledem k délce vinutí samozřejmě ukazuje nesmysly, ale vybalancování zpětného směru pro SWR je i zde možné.

Poslední čtyři vzorky v tabulce (tučně vytištěno) jsou prachová, nikoli feritová jádra. Nejznámějším distributorem od řady výrobců je Amidon Corp. Jádra T50 – 3 a T68 -2 jsou použita v konstrukci uvedené již před časem v Handbooku 1992\. Na první pohled je patrné, že se pro širokopásmové aplikace nehodí. Materiál č.3  ( m = 35) nedosahuje ani čtyřnásobku, natož deseti či dvacetinásobku požadované reaktance. Populární červený materiál č.2 ( m = 10) nedosahuje ani dvojnásobku, přesto konstrukci z Handbooku mnozí vytrvale kopírují, asi právě proto, že je v Handbooku. Mimochodem, před lety jsem to udělal také.

Podívejme se pro zajímavost na prachový materiál č.26 značený žlutou barvou s bílou základnou a používaný v počítačových, přesněji řečeno obecně ve spínaných zdrojích, pro které byl původně vyvinut.  Dělají ho všechny možné firmy na světě, Amidon ho distribuuje také. Z vysokofrekvenčního hlediska je to „šmejd“ s natolik nízkým Q, že nestojí za řeč. Permeabilita m = 75 však naznačuje, že je možné dosáhnout u vinutí docela vysoké reaktance,  kterou pro naše účely vyžadujeme. Velikost T106, uvedenou na poslední řádce tabulky, najdeme ve většině počítačových zdrojů cca 250W. V podstatě shodných výsledků dosáhneme se dvěma slepenými toroidy T68\. Zde platí, že konstanta A<sub>L</sub> se s počtem toroidů zdvoj, ztroj, obecně n – násobí, stejně tak výkonová zatížitelnost. Indukčnost pak roste kvadraticky, připomenu známý vzorec L = A<sub>L</sub> N<sup>2</sup>. Ještě poznámka pro ty, kteří se s americkým značením velikosti setkávají poprvé, že jde o zlomky palců, tedy T68 značí 0,68 palce, T106 značí 1,06 palce, T200 pak rovné 2,0 palce. Obdobně se značí ferity: FT50, FT82 atd. Koeficient přepočtu na normální evropské míry je 25,4 mm = 1 palec. To nám pomůže při porovnávání toroidů nejasného původu. Vraťme se však k otázce použitelnosti  jader z počítačového šrotu v reflektometrech. Námitka, že tato jádra mají na vf kmitočtech velké ztráty v tomto případě neobstojí, protože v případě reflektometrů je nám to jedno. Žádný výkon zde nepřenášíme a měřidla stejně cejchujeme zvlášť. Zajímavé je i výkonové využití těchto jader v proudových balunech, připomeňme si článek OK2BUH o „cvakacích“ feritech. Kolik to snese, je otázkou pokusů, koneckonců jde o materiál ze šrotu. Mnozí bastlíři už to úspěšně ověřili. Na tomto místě si pouze porovnejme 4 známé materiály, obyčejně posuzované z hlediska kmitočtové využitelnosti. Obecně jsou tyto parametry uváděny v katalozích, ale lze je  najít i v toroidové kalkulačce DL5SWB. Porovnání je v tabulce:

| 

**Materiál**

 | 

Kmitočtový rozsah MHz

 |
| 

m<sub>i</sub>

 | 

Rezonanční obvod

 | 

Širokopásmové trafo

 | 

Tlumivka

 |
| 

Ferit 43

 | 

850

 | 

0,01 - 1

 | 

1 - 50

 | 

30 - 600

 |
| 

Ferit 61

 | 

125

 | 

0,2 - 10

 | 

10 - 200

 | 

200 - 1000

 |
| 

Prach 2

 | 

10

 | 

1 - 30

 | 

?

 | 

?

 |
| 

Prach 26

 | 

75

 | 

0 - 1

 | 

?

 | 

?

 |

Pokud materiál posuzujeme pouze podle kmitočtu, jak je u většiny bastlířů podvědomě zažité, je feritový materiál 43 pro širokopásmový transformátor v oboru KV nejvhodnější a také je tak v praxi většinou využíván. Vzhledem k permeabilitě byl u nás často nahrazován materiálem Fonox H6 s m<sub>i </sub>= 600, to ostatně uvádí i  OK1AYY. Pomineme-li pro tuto chvíli otázku sycení a ohřevu, nabízí se opět na první pohled prachový materiál č.2, ten je ale pro uvedenou kmitočtovou oblast vhodný především pro rezonanční obvody a je pro ně vzhledem k vysokému Q určen. Proto také všichni shánějí bez rozmyslu na své baluny červené prachové toroidy z materiálu 2\. Pro transformátory ovšem žádné vysoké Q nepotřebujeme. Povšimněme si, že u prachových materiálů se širokopásmové aplikace obecně ani neuvádí, i když toto využití samozřejmě možné je. Za úvahu proto stojí materiál č.26 z počítačového šrotu, který má v případě rezonančního obvodu stejný rozsah jako ferit 43\. Vyzkoušel jsem několik balunů na prachovém materiálu 26 v oblasti KV, vzhledem k permeabilitě jsou blíže k feritovému materiálu 61 (náš žlutý N1), též pro baluny velmi často používanému. Opět zde připomenu cvakací jádra OK2BUH. Ztráty jsou samozřejmě o něco vyšší. Měření vzorku na analyzéru IW3HEV ukázalo při optimální zátěži return loss cca 20dB na 3,5MHz a 15dB na 50MHz při SWR menším než 1,5 v celém měřeném rozsahu. Uvědomíme-li si, že pro náš domácí 100W vysilač znamenají ztráty 15dB celé (!) 3W, není co řešit. Ohřev bude záviset na velikosti a hmotnosti toroidu, ale výše uváděný T106 se ani nezapotí. Ostatně před lety jsem vyráběl baluny podle Rothammela na sendustových kroužcích průměru 40mm z Prametu a fungovalo to bez problémů. Další možné provedení je na následujícím obrázku 15:

![15](/upload/ok1wpn/clanky/reflektometry/15.png)

Pokud to někomu něco připomíná, nemýlí se. Tento proudový balun 1:4 je skutečně zvětšeninou historického symetrizačního členu pro TV. Toroidy jsou 6ks T106/26, dvakrát 3,5 závitu síťovou dvojlinkou 2,5 mm<sup>2</sup>. Ta má impedanci zhruba 110 W. To odpovídá teorii Guanellových širokopásmových transformátorů, ale pro daný účel to není až tak nezbytné. Za zmínku stojí údaj o hmotnosti jádra. Pro prachová jádra platí praktický odhad, že materiál č.2 velikosti T68 odpovídá zhruba 10W, T106 je pro 100W a T200 pak jako balun přenese 1000W. Přenášený výkon odpovídá objemu jádra, objemu jádra pak jeho hmotnost. Zvážil jsem proto tyto vzorky: T68/2 má hmotnost 4g, T106/2 má 23g, T200/2 má 84g a velikost T225/2 pak 103g. To je skutečně jen hrubé vodítko, u materiálu 26 budou větší ztráty i ohřev, takže údaj 200g by mohl odpovídat cca 2kW. Tento výkon a ohřev však zcela jistě nesnese síťová dvojlinka s PVC izolací a raději to ani nezkoušejte. Přesto pro zajímavost jsem tyto sebrané údaje uvedl.

Vraťme se však zpět k původnímu tématu reflektometrů. Nabízí se otázka, zdá je možné zkonstruovat skutečně širokopásmovou odbočnici v rozsahu dejme tomu 1 až 1000 MHz. Taková odbočnice byla jako patent popsána kolem r.1980 v sovětském časopise Radio. Pro horní kmitočtovou hranici je nutné, aby sekundární vinutí měřicího proudového trafa mělo co nejmenší parazitní kapacitu, nabízí se tedy koaxiální provedení, kdy primární vinutí přestavuje vnitřní vodič, sekundární pak plášť kabelu přerušený na obou koncích věnečky z paralelních rezistorů, jejichž výsledná hodnota tvoří zatěžovací odpory stejně jako je tomu u konstrukce na obr. 14\. Více napoví fotografie vzorku obr.16:

![16](/upload/ok1wpn/clanky/reflektometry/16.png)

Nikoho nenutím k následování, pájení paralelních odpůrků je práce pro vraha. Ale možná se najde i někdo, kdo to zkusí s SMD. Povšimněme si následujícího: Toroidy jsou oranžové Fonox H22 průměr 16 mm, 10 ks. Tento vyloženě nf materiál zmiňuje i OK1AYY ve svém článku [ 6 ]. Plášť kabelu, tedy 1 závit protažený sloupkem toroidů představuje 12,4 mH (tedy výpočtem, ve skutečnosti je to trochu složitější), tedy reaktanci 80 W/ 1 MHz. Protože zatěžovací odpory jsou 0,5 + 0,5, tedy celkem 1 W, bohatě splníme podmínku 20 násobku pro nejnižší kmitočet. Odporové děliče vzorkující napětí na vstupu a výstupu pak svojí parazitní kapacitou do jisté míry ovlivní horní konec přenášeného pásma. Reflektometr jsem před lety ověřoval pouze do 432 MHz. Po pravdě řečeno, z praktického hlediska vzhledem k nevalné citlivosti (potřebuje min. 25W) nemá velký význam, uvádím ho pouze jako zajímavost pro fajnšmekry. I původní pramen ho uvádí pouze jako laboratorní, SWR se proto vypočítávalo podle vzorce ( 4 ). Schematicky je uveden na obr. 17 a 18.

![17](/upload/ok1wpn/clanky/reflektometry/17.png)![18](/upload/ok1wpn/clanky/reflektometry/18.png)

Při pohledu na uvedený reflektometr nás napadne, zda by nebylo možno využít počítačový šrot obdobným způsobem, konkrétně feritové válečky používané jako tlumivky na kabelech. Měl jsem možnost měřit větší množství těchto válečků. Obecně lze říci, že mají nevelké Q (inu tlumivky) a též veliký rozptyl permeability od cca 150 do 4000, ani podle vnějšího vzhledu a rozměrů není snadné vybrat 2 ks do páru třeba pro vf uzavřený transformátor tvaru U do tranzistorového koncového stupně. Vzhledem ke zmíněnému rozptylu parametrů však nelze uvést praktický návod ani výpočty, každý si musí vybrat z toho, co má. O „cvakacích“ jádrech podle [ 9 ] platí totéž, jsou taktéž použitelná. U reflektometrů však jde o celkem nenáročné pokusy, tak proč ne.

Pamětníci starých konstrukcí samozřejmě vzpomenou na historický Mickey Match, uvedený v první části na obr.6\. Ten se v tom nejjednodušším provedení realizoval provlečením pomocného vodiče pod stínícím pláštěm kabelu. Tyto a všechny podobné, např. „korýtkové“ konstrukce, který svého času vyráběla Radiotechnika Teplice, se vyznačují minimální citlivostí a pro KV se vůbec nehodí, natož jako průchozí širokopásmový měřič výkonu. Za předpokladu přesného výběru zakončovacích odporů ovšem jako indikátor vyladění dobře poslouží. Nastavování všech jednoduchých indikátorů provádíme klasicky, tedy průchozí směr na plnou výchylku, po přepnutí na odraz měříme SWR, stupnice bude jednoduchá s 3 uprostřed, žádnou velkou přesnost nepotřebujeme, také vlastně proč. V souvislosti s feritovými válečky nás může napadnout, že navlečením jednoho nebo více válečků na koaxiální kabel může zvýšit reaktanci i širokopásmovost. Bohužel to za tu snahu nestojí, válečků by bylo třeba příliš mnoho a efekt je minimální.

Tolik tedy k možným námětům pro bastlení na reflektometrech. Samozřejmě si můžeme jakýkoli třeba i drahý a pohledný reflektometr koupit, ale ten nám sám o sobě výkon vyzářený do vzduchu nezvedne a v konečném důsledku jej stejně budeme používat pro optimální vyladění antény, nic víc. Pro přesná měření jsou jiné přístroje. Zkuste si tedy trochu pohrát, ať v tom komerčním prostředí udržíme zbytek technických znalostí. Přeji vám všem hodně zdaru.

V Plzni 8.8.2011

Petr Novák OK1WPN