+++

title = "LaTeX (2) První dokument"
perex_e = "
V předchozím díle jsme si úspěšně nainstalovali sázecí systém a editor. Na konci jsme si otestovali, zda nám vše funguje. Dnes vytvoříme první dokumenty, vysvětlíme si, jak to vlastně v LaTeXu chodí, a naučíme se vytvářet jednoduché tabulky.




"
tags = ["Článek", "2013", "LaTeX", "Programování"]
+++


V předchozím díle jsme si úspěšně nainstalovali sázecí systém a editor. Na konci jsme si otestovali, zda nám vše funguje. Dnes vytvoříme první dokumenty, vysvětlíme si, jak to vlastně v LaTeXu chodí, a naučíme se vytvářet jednoduché tabulky.





**Prostředí dokumentu**Otevřeme si Texmaker a vybereme _Průvodce -> Pomocník pro dokument_. V tabulce vidíme několik možností, jak vše nastavit. Nyní si probereme jednotlivé možnosti.![](/upload/ok1-36134/latex/04_pomocnik_dokument.png)**Třída dokumentu**Určuje předem překladači, co budeme psát. Máme na výběr několik možností:

*   Article – vhodný pro psaní krátkých článků

*   Report – pokud se chystáme vysázet protokol nebo jinou podobnou práci
*   Letter - dopis
*   Book – kniha, užívá se při psaní např. diplomových a bakalářských prací
*   Beamer – prezentace

Nejčastěji budeme využívat Article, ale sami si můžete zkoušet další možnosti.**Další volby**
Zde můžete změnit nastavení orientace papíru, zda chceme psát do jednoho sloupce přes celou stránky nebo dvousloupcový text, zda se jedná o koncept nebo finální verzi dokumentu, atd.
**Velikost písma, velikost papíru a kódování**
Myslím, že zde můžeme komentář vynechat.
**Balík babel**
Balík zaškrtněte a vyberte volbu Czech. Slouží ke správnému překladu český znaků a interpunkce.
**Balík geometry**
Také ho použijeme, slouží k nastavení okrajů, zde ponecháme výchozí možnost 2 cm. Pokud bychom balík nepoužili, okraje se nastavení defaultně podle formátu letter.
**lmodern Package**
Tento balík nám do LaTeXu zavede nové a lepší fonty. Např. Palatino, Times, lmodern.**První dokument**
Spustíme průvodce novým dokumentem a nastavíme ho dle obrázku níže. Nyní v editoru vidíme:

\documentclass[11pt,a4paper]{article}
\usepackage[utf8]{inputenc}
\usepackage[czech]{babel}
\usepackage[T1]{fontenc}
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{lmodern}                % zde můžete změnit font
\usepackage[left=2cm,right=2cm,top=2cm,bottom=2cm]{geometry}
\begin{document}
•
\end{document}

Co následující značky znamenají. Usepackage jsou balíčky, které říkají kompilátoru, jak bude výstup vypadat, které prvky jsme použili, atd. Vlastní dokument nám uvozuje návěští: \begin{document} a \end{document}.

**Příklad 1:** Napište libovolný text mezi návěští, soubor uložte a zobrazte si PDF.
Vidíme, že text se sám dělí na odstavce krátkým odsazením od okraje. Tutu možnost lze zrušit, ale jelikož to není standard LaTeXu, zkuste si tuto možnost sami vyhledat, např. na [ABC Linuxu](http://www.abclinuxu.cz/).**Členění textu**
Nemůžeme však psát pouze text, bez členění na nadpisy a rozlišení velikosti písma. Pokud chceme text zarovnat na střed, použijeme další návěští

\begin{center}
\end{center}

Díky tomu, že používáte jako editor Texmaker, můžete zde používat také zkratky Ctrl+B pro **tučný** text a Ctrl+I pro _kurzívu_.
**Příklad 2:** Zarovnejte libovolný text na středu stránky. Poté napiště text tučně a kuzívou.**Nadpisy**
Nyní se naučíme, jak vytvářet přehledné nadpisy. LaTeX umí několik úrodní napisů. Nadpis se uvádí jako \section{}, pokud bychom chtěli nadpis nečíslovaný, doplníme příklad * - \section*{}. Přičemz ve složených závorkách bude název nadpisu.
Nadpisy můžeme dále členit do nižších úrovní pomocí příkazu \subsection{}.
\section{Nadpis první úrovně}
Toto je nadpis první úrovně, obsahuje číslování.

\subsection{Podnadpis – druhá úroveň}
Tento podnadpis také obsahuje číslování.
**Příklad 3:** Procvičte si vytváření dokumentů.**Tabulky**
Texmaker má také průvodce na vytvoření tabulek viz _Průvodce -> Pomocník pro tabulky_. Takže využijeme toho průvodce a podíváme se, co nám nabízí.
Můžeme si nastavit počet sloupců a řádků. Zda chceme mít nějaké okraje a jaké bude zarovnání uvnitř buněk. Po potvrzení vidíme:

\begin{tabular}{|c|c|}
\hline
• & • \\
\hline
• & • \\
\hline
\end{tabular}

Tam, kde máme tečky, můžeme psát. Jak zajistit, aby si celá tabulka byla zarovnána uprostřed stránky. Jednoduše, vložíme ji mezi \begin{center} a \end{center}. Tabulka si šířku buňky hlídá sama.![](/upload/ok1-36134/latex/05_pomocnik_tabulky.png)**Příklad 4:** Zkuste si vytvořit jednoduchou tabulku.

Zdrojové kódy dnešních příkladů máte zde: [Příklad 1 + příklad 2](../upload/ok1-36134/latex/zdroj/prvni_kroky.tex), [Příklad 3](../upload/ok1-36134/latex/zdroj/nadpisy.tex) a [Příklad 4](../upload/ok1-36134/latex/zdroj/tabulky.tex).Na závěr dnešního článku bych doporučil se podívat do naší známé publikace z předchozího dílu _Drsný úvod do LaTeXu_. Tímto dnešní seriál zakončíme a příště si vkládání obrázků a jednoduchých rovnic. [Pokračovat na další díl](index.php/technicke-lanky/577-latex-3).

* * *

**Autor**
Autor je členem radioklubu od roku 2004 a přibližně 6 let se stará o internetové stránky radioklubu. Studuje vysokou školu a pracuje v Praze.
V případě dotazů k LaTeXu ho můžete kontaktovat na e-mailové adrese: [ok7km (zavinac) hotmail.com](mailto:ok7km%20%28zavinac%29%20hotmail.com).