+++

title = "LaTeX (3) Obrázky a rovnice"
perex_e = "
Z předchozího dílu již umíme vytvořit základní dokument s nadpisy a tabulkami. Dnes se pustíme do trochu náročnějších úkolů a tím je vložení obrázků a psaní rovnic v LaTeXu. Jelikož je opakování matkou moudrosti, zkuste si vytvořit nový dokument a připravte si ho pro práci. Jdeme na to!




"
tags = ["Článek", "2013", "LaTeX", "Programování"]
+++


Z předchozího dílu již umíme vytvořit základní dokument s nadpisy a tabulkami. Dnes se pustíme do trochu náročnějších úkolů a tím je vložení obrázků a psaní rovnic v LaTeXu. Jelikož je opakování matkou moudrosti, zkuste si vytvořit nový dokument a připravte si ho pro práci. Jdeme na to!





**Vkládání obrázků
**
Vkládání obrázků není jednoduchou záležitostí, možná se Vám to někdy nepodaří napoprvé, ale přijdete na vlastní postup, který budete používat. Kompilátoru musíte však říci, že budete v práci používat obrázky, do preambule proto vložíme

\usepackage{graphicx}

Poté by nám nemělo nic bránit v umístění obrázku do dokumentu. Uvedeme ho opět několika zápisy, tentokrát nám to průvodce nijak neulehčí.

\begin{figure}[htp]
\centering
\includegraphics[scale=0.75]{latex.png}
\caption{Logo \LaTeX u}
\label{fig:triangle}
\end{figure}

Vidíme, že obrázek je uvozen příkazy **\begin{figure}** a **\end{figure}**, přičemž má další parametry, které specifikují jeho umístění.Příkaz \includegraphics[scale=0.75]{latex.png} odkazuje na umístění obrázku a „scale“ jeho velikost. Dále můžeme zapsat také popisek obrázku jako \caption{Popis obrázku} a přiřadit mu jedinečný štítek \label.Štítek se hodí především v delším textu, kdy se na obrázek odkazujeme. Příkaz pro odkázání se na obrázek je \ref{fig:triagle}, přičemž uvnitř závorek musí být správný název štítku. Tento příkaz můžeme použít klidně na první nebo padesáté straně. O správné číslování se stará komprimátor.**Příklad 1:** Zkuste si vložit libovolný obrázek. Na konci opět najdete zdrojový kód, jak by vše mělo vypadat.**Rovnice**Existuje mnoho způsobů, jak vkládat rovnice do LaTeXu, první ze způsobu je uvození vzorce přímo:\begin{math}\end{math}Pokud bychom chtěli mít rovnice číslované, použijeme jiné uvození:\begin{equation}\end{equation}**Příklad 2:** Zkuste si provést zápis jednoduchých rovnic.\begin{equation}
x=\sqrt{a+b+c^3}
\end{equation}
\begin{math}
I=\frac{Q}{t}
\end{math}
V případě sázení vzorců přímo v textu, musíme dané rovnice umístit mezi symboly $. Například $ax^2+bx+c=0$. Viz dnešní zdrojový kód.
Přehledné matematické operátory najdete zde - [http://www.it.cas.cz/manual/latex/j.html](http://www.it.cas.cz/manual/latex/j.html).Pokud Vám vzorce v LaTeXu zaujaly, doporučuji také PDF s názvem [Hardcore LaTeX Math (en)](http://web.mit.edu/rsi/www/pdfs/advmath.pdf) od Massachusetts Institute of Technology.

**Shrnutí**
Tento seriál by Vám měl pomoci vytvořit jednoduchý dokument pomocí LaTeXu. Možností přizpůsobení vzhledu a dalších úprav je však několik. Doufám, že několik předchozích článků bylo alespoň trochu přínosem a ukázalo Vám nové možnosti publikování článků.
Příští a poslední díl seriálu bude pouze o prostředí LaTeXu – jak si například nastavit jiné řádkování, jak si vytvoříme záhlaví a zápatí, jak na titulní stránku a obsah. [Pokračovat na závěrečný díl seriálu o LaTeXu](index.php/technicke-lanky/578-latex-4).Zdrojové kódy příkladů máte zde: [Příklad 1](../upload/ok1-36134/latex/zdroj/obrazky.tex) a [Příklad 2](../upload/ok1-36134/latex/zdroj/rovnice.tex).

* * *

**Autor**
Autor je členem radioklubu od roku 2004 a přibližně 6 let se stará o internetové stránky radioklubu. Studuje vysokou školu a pracuje v Praze.
V případě dotazů k LaTeXu ho můžete kontaktovat na e-mailové adrese: [ok7km (zavinac) hotmail.com](mailto:ok7km%20%28zavinac%29%20hotmail.com).