+++

title = "LaTeX (4) Další nastavení prostředí"
perex_e = "
Již v úvodu jsem říkal, že LaTeX má několik možností, jak nastavit pracovní prostředí. Dnes si uvedeme několik málo z nich. Proč několik málo? Není v mých silách ukázat všechny možnosti, které LaTeX nabízí. Každému vyhovuje něco jiného a funkčních rešení je tolik, že by to na tento článek ani nestačilo



"
tags = ["Článek", "2013", "LaTeX", "Programování"]
+++


Již v úvodu jsem říkal, že LaTeX má několik možností, jak nastavit pracovní prostředí. Dnes si uvedeme několik málo z nich. Proč několik málo? Není v mých silách ukázat všechny možnosti, které LaTeX nabízí. Každému vyhovuje něco jiného a funkčních rešení je tolik, že by to na tento článek ani nestačilo




**Zázračné logo LaTeX a TeX**Určitě jste si všimli, že v některých příkladech je vysázeno LaTeX poněkud jinak. Ano, má to svůj vlastní sázecí „kód“  **\LaTeX** a **\TeX**.**Velikosti písma**
Latex zná hned několik velikostí písma:
\tiny           5pt
\scriptsize     7pt
\footnotesize   8pt
\small          9pt
**\normalsize     10pt, standardni velikost pisma**
\large          12pt
\Large         14.4  pt
\LARGE      17.28 pt
\huge           20.74 pt
\Huge           24.88 pt
**Prostředí seznamu**
Pokud bychom si chtěli vytvořit seznam, máme k dispozici příkaz
\begin{**itemize**}
\item První
\item Druhý
\end{**itemize**}
přičemž můžeme místo itemize použít také **enumerate** nebo **description**.**Zarovnání vlevo, na střed, vpravo**Stejný příkaz jako \begin{**center**} \end{center}, pouze místo center použijeme **flushleft**, flushright.**Změna řádkování, číslo strany a datum**Mnoho prací má požadavek řádkování o vzdálenosti 1,5, v LaTeXu umístíme do preambule náledující příkaz a máme řádkování o vzdálenosti 1,5.\def\baselinestretch{1.5}\normalsizePokud chceme vysázet aktuální číslo strany v záhlaví, či zápatí (viz níže), použijeme příkaz **\thepage**. Pro vysázení aktuálního data platí příkaz **\today**.**Záhlaví a zápatí**Záhlaví a zápatí vytváříme pomocí balíku fancyhdr, který je umístěn v preambuli. V dokumentu poté použijeme příkaz \pagestyle{fancy}. Definice záhlaví a zápatí\usepackage{fancyhdr} %zahlavi a zapati\lhead{Levé záhlaví}\chead{Střed záhlaví}\rhead{Pravé záhlaví}\lfoot{Levé zápatí}\cfoot{Střed zápatí}\rfoot{Pravé zápatí}**Sazba do dvou sloupců**Pokud byste měli zájem vysázet text do dvou sloupců, musíte v preambuli uvést opět příkaz\usepackage{multicol}Poté text, které budete chtít umístit do dvou (a více) sloupců mezi\begin{multicols}{2}\end{multicols}{2}**Titulní strana s obsahem**Dnešní poslední příklad. Titulní stranu můžete vytvořit několika způsoby, já si jí nejraději vytvářím sám.\begin{center}\pagestyle{empty}% Definice nadpisu %\vspace*{7cm}                % Mezera 10 cm\LARGE{\textbf{Nadpis}}        % Nadpis\vspace*{12cm}% Definovani autora, datumu, atd. %\begin{tabular}{cc}Autor & Jméno a příjmení \\     % Tabulka jmeno, prijmeni, datumDatum & \today \\\end{tabular}\end{center}\newpage                % Nova strana% Vlozeni obsahu %\tableofcontents            % Obsah% ========================= Dokument\pagestyle{plain}Ano není to dokonalé, ale to nejsme nikdo, že ano :-)**Slovo na závěr? No a jaké jsou vlastné výhody a nevýhody LaTeXu?**Kdybych řekl žádné, lhal bych Vám. Samozřejmě se LaTeX nechodí pro sazbu krátkých textů, to je mnouhem rychlejší v příslušných textových editorech. Jelikož se ale jedná o sázecí systém práce v něm je velmi rychlá. V případě číslování kapitol, obrázků, grafů, tabulek a citací se o nic nemusím starat, vše zařizuji kompilátor. Narozdíl od číslování např. ve Wordu se vše aktualizuje automaticky, ale u kancelářských balíků tato část většinou končí hodně špatně.Tím samozřejmě neříkám, že textové editory jsou špatné. Sám jsem ve Wordu napsat bakalářskou práci, ale vše má své pro a proti. LaTeX jsem zde uváděl spíše pouze pro znalost alternativního psaní technických textů.Děkuji Vám všem, za to, že jste to se mnou vydrželi a můj e-m je Vám k dispozici pro dotazy, kritiku a vlastně cokoliv, co bystě rádi.

* * *

**Autor**
Autor je členem radioklubu od roku 2004 a přibližně 6 let se stará o internetové stránky radioklubu. Studuje vysokou školu a pracuje v Praze.
V případě dotazů k LaTeXu ho můžete kontaktovat na e-mailové adrese: [ok7km (zavinac) hotmail.com](mailto:ok7km%20%28zavinac%29%20hotmail.com).