```

title = "Vánoční LED stromeček s ATmega8 "
perex = "Blíží se nám Vánoce a náš kroužek mládeže si pro vás dnes připravil novou konstrukci blikajícího vánočního SMD stromečku s 16 LED. Stromeček je řízen mikroprocesorem ATmega8. Více uvnitř článku."
tags = ["Článek", "Bastlení", "Konstrukce", "2013", "Kroužek", "AVR"]
image = "lead.png"

```
![](vanocni_led_stromecek.jpg)

Blíží se nám Vánoce a náš kroužek mládeže si pro vás dnes připravil novou konstrukci blikajícího vánočního SMD stromečku s 16 LED. Stromeček je řízen mikroprocesorem ATmega8.

Stromeček je co nejjednoduší a k jeho rozblikání Vám stačí opravdu [základy programování mikroprocesorů Atmel](/clanek/2012/avr-skolicka-lekce-1/). Pokud se cítíte být v programování zdatnější, můžete využít tlačítka SW1 a třeba měnit program blikání.

# Schéma
![Schéma](schema.png =512x)

# Plošný spoj
![Plošný spoj](pcb.png =512x)

# Zdrojové soubory
**Schéma:**
[eagle](https://git.ok1kvk.cz/krouzek/vanocni-led-stromecek-s-atmega8/raw/master/HW/vanocni_stromecek.sch),
[PDF](https://git.ok1kvk.cz/krouzek/vanocni-led-stromecek-s-atmega8/raw/master/schema.pdf)
**Plošný spoj:**
[eagle](https://git.ok1kvk.cz/krouzek/vanocni-led-stromecek-s-atmega8/raw/master/HW/vanocni_stromecek.brd),
[PDF 1:1](https://git.ok1kvk.cz/krouzek/vanocni-led-stromecek-s-atmega8/raw/master/plosny_spoj.pdf)
**Osazovací plán**
[PDF](https://git.ok1kvk.cz/krouzek/vanocni-led-stromecek-s-atmega8/raw/master/osazovaci_plan.pdf)

**Celý projekt:** [ZIP](https://git.ok1kvk.cz/krouzek/vanocni-led-stromecek-s-atmega8/repository/archive.zip?ref=master)

**Projekt na GitLabu:** [vanocni-led-stromecek-s-atmega8.git](https://git.ok1kvk.cz/krouzek/vanocni-led-stromecek-s-atmega8)

Deska byla vyrobena [metodou nažehlením tonneru](clanek/2008/vyroba-plosnych-spoju/).

# Seznam součástek
| Označení     | Hodnota                            | Datasheet | Odkaz do obchodu |
|--------------|------------------------------------|-----------|------------------|
| R1           | 100 k&#8486;, SMD 0805             |           |                  |
| R2           | 1 k&#8486;, SMD 0805               |           |                  |
| R3 - R18     | 100 &#8486;, SMD 0805              |           |                  |
| C1           | 100 nF, SMD 0805                   |           |                  |
| C4, C5       | 100 &#181;F                        |           |                  |
| IC1          | ATmega8a-AU                        | [ATmega8a.pdf](http://www.atmel.com/images/atmel-8159-8-bit-avr-microcontroller-atmega8a_datasheet.pdf) | [tme.eu](http://www.tme.eu/cz/details/atmega8a-au/mikroprocesory-atmel-avr-smd/atmel/) |
| LED1 - LED16 | různé barvy, SMD 0805              |           |                  |
| J1           | napájecí konektor, rozteč 2,54 mm  |           |                  |
| J2           | MLW10                              |           | [tme.eu](http://www.tme.eu/cz/details/zl231-10pg/konektory-idc/ninigi/) |
| SW1          | mikrotlačítko SMD nebo THT         |           |                  |

# Video
![Stromeček v akci](http://youtu.be/lPcfCi5dU00)

# Dejte nám vědět!
Jestli narazíte u tohoto zapojení na nějaký problém, tak neváhejte a napište nám na [fórum](https://ok1kvk.cz/forum/).
