```

title = "10W mono zesilovač TDA2003"

image = "TDA2003.png"

perex = "Asi každý si někdy chtěl postavit vlastní zesilovač. V tomto zapojení
je využit integrovaný obvod TDA2003, který v sobě integruje většinu potřebný
součástí zesilovače. TDA2003 je jednokanálový zesilovač s maximálním výstupním
výkonem 10W."

tags = ["Článek", "Bastlení", "Konstrukce", "Zesilovače"]
```

Asi každý si někdy chtěl postavit vlastní zesilovač. V tomto zapojení je využit integrovaný obvod [TDA2003](http://www.st.com/web/en/resource/technical/document/datasheet/CD00000123.pdf), který v sobě integruje většinu potřebný součástí zesilovače. TDA2003 je jednokanálový zesilovač s maximálním výstupním výkonem 10W. Obvod také obsahuje ochrany proti zkratu mezi piny i proti přehřátí. Zesilovač pracuje v rozmezí napájecího napětí `8 - 18V`. Pro stereo verzi stačí vyrobit dva tyto monobloky a doplnit o regulaci hlasitosti.

Hodnoty `R1X` a `C4X` volte `39R, 39nF`, nebo `47R, 33nF`, nebo `33R, 47nF`. Celková hodnota `R3 + R4` by měla být `2.2R`. Plošný spoj byl navržen tak, aby se dobře vyráběl i osazoval. Na plošném spoji se nachází několik SMD součástek velikosti 0805, které by ale neměl být problém zapájet.

Po osazení všech součástek doporučuji pečlivě překontrolovat zkraty, studené spoje a poté zesilovač připojit na zdroj s možností regulace proudu s nastaveným `napětím 12V a proudem do 100mA`. Pokud bude zesilovač bezproblémově fungovat, tak jej lze připojit na stálý zdroj. V radioklubu nám tento zesilovač bezchybně pracuje více než rok a nezaznamenali jsme žádné potíže.

![Zeslislovač s TDA2003](TDA2003_foto.jpg =x300)
![Vyleptaný plošný spoj](TDA2003_foto_dps.jpg =x300)

# Schéma
![Schéna](TDA2003_sch.png =x450)

# Plošný spoj
![Plošný spoj](TDA2003_brd.png =x450)

# Zdrojové soubory
**Schéma:** [eagle](https://git.ok1kvk.cz/krouzek/TDA2003-10W-amp/raw/master/TDA2003.sch),
[PDF](https://git.ok1kvk.cz/krouzek/TDA2003-10W-amp/raw/master/TDA2003_schema.pdf)
**Plošný spoj:** [eagle](https://git.ok1kvk.cz/krouzek/TDA2003-10W-amp/raw/master/TDA2003.brd), [PDF](https://git.ok1kvk.cz/krouzek/TDA2003-10W-amp/raw/master/TDA2003_board.pdf)
**Osazovací plán:** [PDF](https://git.ok1kvk.cz/krouzek/TDA2003-10W-amp/raw/master/TDA2003_osaz.pdf)

**Celý projekt:** [ZIP](https://git.ok1kvk.cz/krouzek/TDA2003-10W-amp/repository/archive.zip?ref=master)

**Projekt na GitLabu** [TDA2003-10W-amp.git](https://git.ok1kvk.cz/krouzek/TDA2003-10W-amp/)


# Seznam součástek
| Označení  | Popis             | Datasheet | Odkaz do obchodu |
|-----------|-------------------|-----------|------------------|
|    IC1    | TDA2003           | [TDA2003.pdf](http://www.st.com/web/en/resource/technical/document/datasheet/CD00000123.pdf) | [farnell.com](http://cz.farnell.com/stmicroelectronics/tda2003av/amp-audio-10w-car-pentawatt/dp/2067880?ost=tda2003&categoryId=700000004290) |
|    R1X    | 39, 47, 33R       |           | |
| R3, R4, R5 | 1R               |           | |
|    C1     | 100nF             |           | |
|    R2     | 220R              |           | |
|    C2     | 100uF/25V         |           | |
|    C3     | 2.2uF/16V         |           | |
|    C4X    | 39, 33, 47nF      |           | |
|    C5     | 470uF/25V         |           | |
|    C6     | 100nF (svitkový)  |           | |
|    C7     | 1000uF/35V        |           | |
| K1, K2, K3| ARK500/2          |           | [tme.eu](http://www.tme.eu/cz/details/tb-5.0-p-2p/svorkovnice-do-plosnych-spoju/ninigi/#tc95cab102c2c62c80ca2d3602a6eef05) |
|    KK1    | SK104-38STS       |           | [tme.eu](http://www.tme.eu/cz/details/sk104-38sts/chladice/fischer-elektronik/#t218d39f958966a6643a36777dc4f3199) |
